# GNUmakefile for building BDB
#
# Author: Oliver Langer
#
include $(GNUSTEP_MAKEFILES)/common.make

# if this line fails then copy config.properties.template to config.properties
# and modify the copied version appropriately
include config.properties

FRAMEWORK_NAME=BDB
VERSION=0.1

ADDITIONAL_INCLUDE_DIRS=\
  -I$(DBROOT)/include

ADDITIONAL_LIB_DIRS=-L$(DBROOT)/lib

#BDB_OBJC_LIBS +=Encore 

ADDITIONAL_NATIVE_LIBS += Encore

BDB_LIBRARIES_DEPEND_UPON=-ldb


BDB_OBJC_FILES=\
  BDBCursorConfig.m\
  BDBCursor.m\
  BDBDatabaseConfig.m\
  BDBDatabaseEntryData.m\
  BDBDatabaseEntry.m\
  BDBDatabase.m\
  BDBDatabaseRecordNumber.m\
  BDBExceptions.m\
  BDBLockMode.m\
  BDBObject.m\
  BDBTransaction.m\
  NSArchiver-BDBExtensions.m

BDB_HEADER_FILES=\
  BDBConfig.h \
  BDBConstants.h \
  BDBCursorConfig.h\
  BDBCursor.h\
  BDBDatabaseConfig.h\
  BDBDatabaseEntryData.h\
  BDBDatabaseEntry.h\
  BDBDatabase.h\
  BDBDatabaseRecordNumber.h\
  BDBErrorHandling.h\
  BDBExceptions.h\
  BDB.h\
  BDBLockMode.h\
  BDBObject.h\
  BDBOperationStatus.h\
  BDBSerializer.h\
  BDBTransaction.h\
  NSArchiver-BDBExtensions.h

-include GNUmakefile.preamble
include $(GNUSTEP_MAKEFILES)/framework.make
-include GNUmakefile.postamble
